Subject: Re: bug#10038: [PATCH] tests: avoid rare fp failure in du/move-dir-while-traversing

From: Jim Meyering <[email-masked]>
Date: Sun, 13 Nov 2011 20:06:06 +0100

Nix wrote:
> du/move-dir-while-traversing: boost the mkdir iteration count yet again.
> ---
>  tests/du/move-dir-while-traversing |    4 ++--
>  1 files changed, 2 insertions(+), 2 deletions(-)
>
> I just had an FP in du/move-dir-while-traversing, due to the traversal
> terminating too soon. My autobuilder is running on a 2.2GHz Nehalem,
> with the source tree located on a loopback ext4 filesystem on a tmpfs,
> so particularly rapid test execution is understandable.
>
> Patch obvious (I ran 200 trials of this just to avoid having to change
> the comment!):
>
> diff --git a/tests/du/move-dir-while-traversing b/tests/du/move-dir-while-traversing
> index 322a9a5..d0969fe 100755
> --- a/tests/du/move-dir-while-traversing
> +++ b/tests/du/move-dir-while-traversing
> @@ -66,8 +66,8 @@ long=d/e/f/g/h/i/j/k/l/m/n/o/p/q/r/s/t/u/v/w/x/y/z
>  # Five iterations was not enough in 2 of 7 "make -j20 check" runs on a
>  # 6/12-core system.  However, using "10", I saw no failure in 20 trials.
>  # Using 10 iterations was not enough, either.
> -# Using 30, I saw no failure in 200 trials.
> -for i in $(seq 30); do
> +# Using 50, I saw no failure in 200 trials.
> +for i in $(seq 50); do
>    mkdir -p $t/3/a/b/c/$i/$long || framework_failure_
>  done

Thanks.
I've applied that and pushed it along with a tiny admin patch.
(also tweaked your log message to conform)

>From 47052ddbfa04b16d649ae0ecbaacfd3ce1f03c53 Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Sun, 13 Nov 2011 20:00:08 +0100
Subject: [PATCH 1/2] maint: adjust git hook to allow "copy: ..." on line 1 of
 commit message

* scripts/git-hooks/commit-msg: Add "copy" to the list of valid
command-name-like summary line prefixes.
---
 scripts/git-hooks/commit-msg |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/scripts/git-hooks/commit-msg b/scripts/git-hooks/commit-msg
index 96d5947..76b829d 100755
--- a/scripts/git-hooks/commit-msg
+++ b/scripts/git-hooks/commit-msg
@@ -42,7 +42,7 @@ check_msg()
       test|timeout|touch|tr|true|truncate|tsort|tty|uname|unexpand) ;;
       uniq|unlink|uptime|users|vdir|wc|who|whoami|yes) ;;
       # other tags
-      gnulib|tests|maint|doc|build|scripts) ;;
+      copy|gnulib|tests|maint|doc|build|scripts) ;;
       *) echo "invalid first word of summary line: $w"; fail=1;;
     esac
   done
--
1.7.8.rc2

>From b8b6dd27a61dce58d6537dfbee65c7428f4ae3cd Mon Sep 17 00:00:00 2001
From: Nix <[email-masked]>
Date: Sun, 13 Nov 2011 18:15:10 +0000
Subject: [PATCH 2/2] tests: avoid rare fp failure in
 du/move-dir-while-traversing

* tests/du/move-dir-while-traversing: Boost the mkdir iteration count
yet again.
---
 tests/du/move-dir-while-traversing |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/du/move-dir-while-traversing b/tests/du/move-dir-while-traversing
index 322a9a5..d0969fe 100755
--- a/tests/du/move-dir-while-traversing
+++ b/tests/du/move-dir-while-traversing
@@ -66,8 +66,8 @@ long=d/e/f/g/h/i/j/k/l/m/n/o/p/q/r/s/t/u/v/w/x/y/z
 # Five iterations was not enough in 2 of 7 "make -j20 check" runs on a
 # 6/12-core system.  However, using "10", I saw no failure in 20 trials.
 # Using 10 iterations was not enough, either.
-# Using 30, I saw no failure in 200 trials.
-for i in $(seq 30); do
+# Using 50, I saw no failure in 200 trials.
+for i in $(seq 50); do
   mkdir -p $t/3/a/b/c/$i/$long || framework_failure_
 done

--
1.7.8.rc2